%define upstream_name    Rinci
%define upstream_version 1.1.84

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A transactional system based on functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DefHash)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This document gives guide on how to convert your metadata from older
version.

Examples are written in Perl, but are not limited to this language.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc META.json LICENSE Changes META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Sat Dec 31 2016 guillomovitch <guillomovitch> 1.1.84-1.mga6
+ Revision: 1078848
- new version 1.1.84

* Sat Dec 17 2016 guillomovitch <guillomovitch> 1.1.83-1.mga6
+ Revision: 1075819
- new version 1.1.83

* Sun Jun 19 2016 pterjan <pterjan> 1.1.79-2.mga6
+ Revision: 1032874
- Rebuild for perl 5.22.2

* Sat Mar 26 2016 guillomovitch <guillomovitch> 1.1.79-1.mga6
+ Revision: 995581
- new version 1.1.79

* Fri Feb 19 2016 umeabot <umeabot> 1.1.78-2.mga6
+ Revision: 969643
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 1.1.78-1.mga6
+ Revision: 873595
- update to 1.1.78

* Tue Jul 07 2015 sander85 <sander85> 1.1.77-1.mga6
+ Revision: 852534
- update to 1.1.77

* Wed Oct 15 2014 umeabot <umeabot> 1.1.52-3.mga5
+ Revision: 739745
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.52-2.mga5
+ Revision: 686109
- Mageia 5 Mass Rebuild

* Tue Jul 29 2014 guillomovitch <guillomovitch> 1.1.52-1.mga5
+ Revision: 657970
- imported package perl-Rinci

